import os
import Pmw
import Tkinter
from Tkinter import *
import Image, ImageTk
import tkMessageBox

try:
	import chimera
	from chimera.baseDialog import ModelessDialog
	import VolumeViewer
except:
	print "Chimera not found"
	ModelessDialog=Tkinter.Window


class AIRS(ModelessDialog):
	name = "AIRS ui"
	buttons = ("Close")
	title = "AIRS"
	direman=os.environ["HOME"]
	hellp = "%s/EMAN/doc/AIRS_help.html"%(direman)
	help = hellp
	
	def fillInUI(self, parent):
		self.frameX=Tkinter.Frame(parent, bd=2,padx=5, pady=10, relief=FLAT)
		self.frameX.grid(column=0,row=0, sticky=EW)
		
		#photo=ImageTk.PhotoImage(file='airs-small.gif')
		Button(self.frameX, text="   AIRS   ", font=('Tempus Sans ITC', '36', 'bold'), background='black', foreground='white', activebackground='black', activeforeground='red',command=self.info).grid(column=0, row=0, sticky=EW)
		
		self.frame0=Tkinter.Frame(parent, bd=2,padx=5, pady=10, relief=FLAT)
		self.frame0.grid(column=0,row=1, sticky=EW)
			
		self.frame4=Tkinter.Frame(self.frame0, bd=2, pady=5,relief=GROOVE)
		self.frame4.grid(column=0,row=0, sticky=EW)
		Label(self.frame4, text='Filters').grid(row=0, column=0, sticky=EW)
		Button(self.frame4, text='Bilateral Filter', command=self.bilateral).grid(row=1, column=0, sticky=EW)
		
		self.frame1=Tkinter.Frame(self.frame0, bd=2, pady=5,relief=GROOVE)
		self.frame1.grid(column=0,row=1, sticky=EW)
		Label(self.frame1, text='Docking').grid(row=0, column=0, sticky=EW)
		Button(self.frame1, text='Foldhunter', command=self.foldhunter).grid(row=1, column=0, sticky=EW)
		Button(self.frame1, text='FlexibleFoldhunter', command=self.flexible).grid(row=2, column=0, sticky=EW)
		
		self.frame2=Tkinter.Frame(self.frame0, bd=2, pady=5,relief=GROOVE)
		self.frame2.grid(column=0,row=2, sticky=EW)
		Label(self.frame2, text='Analysis').grid(row=0, column=0, sticky=EW)
		Button(self.frame2, text='Classic Helixhunter', command=self.helixhunter).grid(row=1, column=0, sticky=EW)
		Button(self.frame2, text='SSEHunter', command=self.ssehunter).grid(row=2, column=0, sticky=EW)
		Button(self.frame2, text='SSEBuilder', command=self.ssebuilder).grid(row=3, column=0, sticky=EW)
		
		self.frame3=Tkinter.Frame(self.frame0, bd=2, pady=5,relief=GROOVE)
		self.frame3.grid(column=0,row=3, sticky=EW)
		Label(self.frame3, text='Misc.').grid(row=0, column=0, sticky=EW)
		Button(self.frame3, text='ModeViewer', command=self.modeviewer).grid(row=1, column=0, sticky=EW)
		
	def info(self):
		print "hi"
		
	def bilateral(self):
                import bfc
		bfc.gui()
#		bfc.bilateral()
	def foldhunter(self):
                import fhc
		fhc.gui()
#		fhc.foldhunter()
	def flexible(self):
                import flexible
		flexible.gui()
#		flexible.flexible()		
	def helixhunter(self):
                import hhc
		hhc.gui()
#		hhc.helixhunter()		
	def ssehunter(self):
                import ssc
		ssc.gui()
#		ssc.ssc()		
	def ssebuilder(self):
                import ssebuilder
		ssebuilder.gui()
#		ssebuilder.ssebuilder()
	def modeviewer(self):
                import modeviewer
		modeviewer.gui()
#		modeviewer.modeviewer()				

try:
	chimera.dialogs.register(AIRS.name, AIRS)
except: pass

dialog = None

def gui():
	"""This is a Chimera specfic function to support instantiation of the dialog"""
	global dialog
	if not dialog:
		dialog = AIRS()
	dialog.enter()
